Name: libXiconfig
Version: 1.5.1
Release: alt4
Summary: Xorg input-hotplug backend
License: MIT/X11
Group: System/Libraries
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: hal > 0.5.11-alt1.rc2

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ libhal-devel xorg-proto-devel xorg-sdk

%description
Xorg input-hotplug HAL backend

%set_verify_elf_method unresolved=relaxed

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%config(noreplace) %_sysconfdir/hal/fdi/policy/10-x11-input.fdi
%_libdir/*.so.%{version}*

%changelog
* Thu Jun 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.5.1-alt4
- added lost XkbOptions

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.5.1-alt3
- fixed hal rules

* Tue Jun 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.5.1-alt2
- fixed hal shutdown crash

* Fri Apr 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.5.1-alt1
- 1.5.1

* Thu Apr 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.1-alt5
- update fdi file
- requires hal > 0.5.11-alt1.rc2

* Tue Jan 29 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.1-alt4
- input-fixes-for-1.4.1

* Fri Jan 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.1-alt3
- real fix XKB option parsing

* Sat Dec 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.1-alt2
- fix XKB option parsing

* Sun Nov 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.1-alt1
- input-fixes-for-1.4.1

* Fri Oct 12 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4-alt3
- rewrited fdi for hal-0.5.10

* Sun Sep 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4-alt2
- sync to git

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4-alt1
- initial build

